Installation Media - Bug #2108

ISO fails to boot with libreboot
2018-12-06 04:42 AM - jgart

Status: confirmed % Done: 0%
Priority: bug

Assignee: freemor

Category: LivelSO

Description

x64_64 systemd iso - I'm trying to boot parabola from grub but | get the attached errors (see pictures)

I am running a librebooted X60 T7200.

| first tried to boot via the 'u' shortcut for selecting the usb. | have attached a picture below of that error.
| also tried booting from the grub command line using the following commands:

grub> set pager=1

grub> set root=(usbO)

grub> linux /parabola/boot/x86_64/vmlinuz root=/dev/sdal

grub> initrd /parabola/boot/x86_64/parabolaiso.img

grub> boot

Those commands got me into the error page in the attached picture.

Not sure what to do from here. Any help is greatly appreciated.

Subtasks:

Bug # 2330: [systemd-complete-iso] can not boot EFI info needed
Feature Request # 2343: [systemd/x86_64 Preview/Beta ISO 2019-06-pre] in progress
Bug # 2628: no network after installing openrc system on X200 with Libreboot unconfirmed
Bug # 2835: [Dual OpenRC CLI ISO][x86_64] Installation Media Hangs During Boot on APU2C4 unconfirmed
History

#1 - 2018-12-06 04:59 AM - jgart
- File grub_error.jpg added

#2 - 2018-12-06 05:04 AM - jgart
- File libreboot_error.jpg added

#3 - 2018-12-06 05:08 AM - bill-auger

just FYI, if you have a working GRUB already installed on that PC, you could try booting the ISO from the HD - off-hand, i have no particular reason to
think that would make any difference either way but its easy and worth a try

https://wiki.parabola.nu/Boot_Parabola_LivelSO_from_GRUB

#4 - 2018-12-06 05:53 AM - jgart

| just tried with the parabola 64 bit openrc cli iso and | get the same error

#5 - 2018-12-06 06:23 AM - jgart

| just tried with archlinux X86_64 iso and it works. no need to go into the grub command line. | just used the 'u' shortcut from the grub prompt and |
was able to boot into the live environment.

#6 - 2018-12-06 07:37 AM - bill-auger
- Status changed from open to info needed

- Subject changed from x64_64 systemd iso - trying to boot from grub but | get the following errors (see picture) to x64_64 systemd iso - trying to boot
on X60 with libreboot
https://wiki.parabola.nu/Boot_Parabola_LiveISO_from_GRUB

can someone booting libreboot confirm this?

#7 - 2018-12-22 09:11 PM - voltaqs

| am using libreboot and was getting the same error. You have to enter grub command line and search through the *.cfg files pertaining to your
architecture.

This is working for me on x86_64:

root=(usb0)

linux /parabola/boot/x86_64/vmlinuz parabolaisobasedir=parabola parabolaisolabel=PARA_201806
initrd /parabola/boot/x86_64/parabolaiso.img

boot

#8 - 2018-12-31 12:05 AM - Megver83

I've seen that error from https:/labs.parabola.nu/attachments/464/grub_error.jpg when | was experimenting with the OpenRC ISOs. It was because
the kernel didn't load the loop module.

I'll soon upload new OpenRC ISOs with that module loaded (I always enable it, but the older ISOs were deleted). When | update the "Get Parabola"
wiki page, I'll notify it here. I'm not sure, but | think that in the auxiliary console you can do "modprobe -v loop" (if you get no output is because it was
already loaded) and then just Control+D (or write "exit"), then it should boot normally.

BTW, is there a way to boot the ISO like a normal BIOS? | mean, to boot into syslinux or the ISO's bootloader (which is different for UEFI, and afaik
Libreboot is an EFI)

#9 - 2018-12-31 02:35 PM - Megver83

- Subject changed from x64_64 systemd iso - trying to boot on X60 with libreboot to [x84_64 systemd iso] fails to boot on librebooted Thinkpad X60
You say that you tried the x86_64 I1SO, did you also tried i6867?

I've uploaded new OpenRC images:

e Download OpenRC ISO
e Download LXDE OpenRC ISO

#10 - 2018-12-31 02:48 PM - bill-auger

i do think the issue is with EFI - i remember when the 'loop' module needed to be added to the mkinitcpio on the openrc build - the GRUB 'loop'
module needs to be loaded and support for it needs to be in the initrd to boot the ISO - every complaint i have seen since then was from someone
with libreboot

some have reported success by editing their libreboot GRUB manually - i have been pointing them to this wiki page for an example
https://wiki.parabola.nuBoot_Parabola_LivelSO_from_GRUB

i think that if you boot with "legacy" BIOS mode, then the EFI is not detected during install; and the new system will always need to be booted in BIOS
mode - that is the simplest thing to do if you have only one OS installed; but that makes it inconvenient to boot other distros that were previously
installed in EFI mode

#11 - 2019-01-01 12:07 PM - bill-auger

another curious thing worth mentioning, is that i have seen lately someone who could not boot the 2018 openrc ISO on a X200 with libreboot, but
could boot the PARA_201607 systemd ISO - so this may not be specific to the X60 or systemd

#12 - 2019-01-03 06:44 PM - Megver83

- Subject changed from [x84_64 systemd iso] fails to boot on librebooted Thinkpad X60 to [x84_64] [Systemd ISO] fails to boot on Librebooted
Thinkpad X60

#13 - 2019-01-09 06:39 PM - uagben

- File photo_2019-01-09_19-16-16.jpg added
- File photo_2019-01-09_19-19-07.jpg added
- File photo_2019-01-09_19-19-10.jpg added
- File photo_2019-01-09_19-19-19.jpg added
- File photo_2019-01-09_19-20-05.jpg added

Megver83

both ISOs booted fine on my libreboot x200. (jgart -- which version of libreboot are you running? Sept 20167?)
https://labs.parabola.nu/attachments/464/grub_error.jpg
https://repo.parabola.nu/iso/openrc-2018.12.22/parabola-openrc-2018.12.22-dual.iso
https://repo.parabola.nu/iso/openrc-lxde-2018.12.22/parabola-openrc-lxde-2018.12.22-dual.iso
https://wiki.parabola.nuBoot_Parabola_LiveISO_from_GRUB
https://labs.parabola.nu/users/288
https://labs.parabola.nu/users/4914

FWIW -- am attaching images, as came across two issues:
1. LXDE -- double-clicking on the desktop's install icon doesn't work
2. CLI -- the system stalled in its shutdown when issued shutdown -h now; | tested it anew and poweroff did work.

#14 - 2019-01-09 08:58 PM - bill-auger

regarding the desktop icon, that fails mainly because 'xterm' is not installed - to make that work on that ISO, right-click the icon and choose "shortcut
editor", then de-select "run in terminal", then change the Exec= command to:

Ixterminal --command='"/root/.scriptsInstallation/install.sh’

the "what do you want to do?" popup can be eliminated by opening the file manager and choosing "preferences" from the "edit" menu, then selecting
"dont ask options on launch executable files"

or by manually adding the following files to their respective directories under the ~/.config/ dir:

https://qit.parabola.nu/parabola-laf.git/plain/skel/.config/libfm/libfm.conf
https://git.parabola.nu/parabola-laf.git/plain/skel/.config/pcmanfm/LXDE/pcmanfm.conf

or, when baking the ISO, by installing the 'parabola-laf' package from [pcr-testing] onto the live system which adds those files to the user skeleton
regarding shutdown, i think “poweroff" is the preferred method

#15 - 2019-02-09 02:44 AM - bill-auger
- Subject changed from [x84_64] [Systemd ISO] fails to boot on Librebooted Thinkpad X60 to [x84_64] [Systemd ISO] fails to boot with libreboot

#16 - 2019-03-07 05:27 PM - BetaRays

| could boot the parabola openrc cli iso 201806 on a libreboot T400 using these grub commands (you might have to change (usb0) to something else)
and didn't have any problem afterwards.

linux (usb0)/parabola/boot/x86_64/vmlinuz parabolaisobasedir=parabola parabolaisolabel=PARA_201806
initrd (usb0) /parabola/boot/x86_64/parabolaiso.img
boot

For some reason grub couldn't parse the syslinux.

#17 - 2019-03-07 05:29 PM - BetaRays

2. CLI -- the system stalled in its shutdown when issued shutdown -h now; | tested it anew and poweroff did work.

This happened to me on a legacy BIOS system, not just libreboot.

#18 - 2019-06-01 12:47 AM - bill-auger
- Assignee set to freemor
- Status changed from info needed to unconfirmed

- Category set to LivelSO

#19 - 2019-06-01 11:06 AM - pavelsayekat

| created my parabola-systemd-Ixde-dual-complete-2018.06.04.iso usb disk for my Lenovo x230 coreboot machine by
dd bs=4M if=path/to/the.iso of=/dev/sdb status=progress oflag=sync

but unlike other GNU/Linux ISOs which creates two partitions on the bootable usb and boots on coreboot without issue, it creates one but no problem
if it works because it doesn't. So the workaround in my case was a bit different as the dd command makes the USB as CD in this case,

root=(cd0)

linux /parabola/boot/x86_64/vmlinuz parabolaisobasedir=parabola parabolaisolabel=PARA_201806
initrd /parabola/boot/x86_64/parabolaiso.img

boot

#20 - 2019-06-01 12:26 PM - bill-auger
- Description updated
https://git.parabola.nu/parabola-laf.git/plain/skel/.config/libfm/libfm.conf
https://git.parabola.nu/parabola-laf.git/plain/skel/.config/pcmanfm/LXDE/pcmanfm.conf

#21 - 2019-10-26 09:41 AM - Anonymous

| can confirm as a libreboot user that this issue only seems to occur on the x86_64 systemd ISOs. According to earlier comments it seems to have
been an issue with the OpenRC ones too until their 2019 update? So far I've tried booting into both the CLI and LXDE systemd ISOs and the LXDE
OpenRC ISO, along with an i686 CLI systemd ISO on my librebooted T400, and | only had issues with the x86_64 systemd ISOs. Booting into the usb
by manually defining the linux and initrd files's location worked, but from the boot process it didn't manage to find the partitions by their label "ERROR:
'/dev/disk/by-label/" device did not show up after 30 seconds...".

It wasn't until defining the two variables parabolaisobasedir and parabolaisolabel as boot parameters that the disk was able to find the partitions and
successfully boot me into the ISO without any issues (apart from pacman's outdated PGP keys). Wouldn't have been able to find a solution for this if it
wasn't for voltags and BetaRays's comments on this thread.

root=(usb0)

linux /parabola/boot/x86_64/vmlinuz parabolaisobasedir=parabola parabolaisolabel=PARA_201806
initrd /parabola/boot/x86_64/parabolaiso.img

boot

I'd be more than happy to do some more tests if further information is required!

EDIT: | also attempted to boot with the beta ISO from June in 2019 provided at the end of https://wiki.parabola.nu/Get_Parabola, but the same issues
occurred on that ISO as well.

#22 - 2020-02-10 01:05 AM - bill-auger

- Status changed from unconfirmed to confirmed

a bit of news regarding this - someone noted on ticket #2628 that libreboot still can boot the openrc ISOs; but only in EFI mode - it fails to boot in
BIOS mode; but perhaps that should be expected - AFAIK, libreboot necessarily maintains its own copy of GRUB in an EFI - that is the presumption i
have been going on - if libreboot can boot any medium in BIOS mode, then perhaps it can boot the systemd ISOs

#23 - 2020-02-13 02:56 AM - bill-auger

ticket #2628 suggests that perhaps the distinction of libreboot in different BIOS modes, could be at the root of this issue - the OP asked if there were
more experiments that libreboot users could do to help improve libreboot support in parabola

some experiments which would be interesting to be tested and verified by several libreboot users:

e can any libreboot user, boot any LivelSO in BIOS mode ?
e can any libreboot user, boot any parabola ISO in BIOS mode ?
¢ can libreboot boot any removable medium from your hardware (USB/CD) ?
* was the filesystem "burned" properly for booting from that medium type
o can any computer boot from that same removable medium ?
o can any libreboot user, boot parabola from a plastic CD ?

#24 - 2020-07-15 04:21 AM - bill-auger
- Subject changed from [x84_64] [Systemd ISQO] fails to boot with libreboot to ISO fails to boot with libreboot

#25 - 2021-03-02 06:51 PM - Anonymous

Just adding my contribution.

| have the issue both with the systemd CLI and LXDE ISO. | need to input in the Libreboot GRUB terminal the commands given by voltags to boot the
ISO.

| tried with the OpenRC CLI ISO, and | didn’t have to do this. Booting from the USB stick, | get directly the ISO GRUB menu (which | don’t have with
the systemd ISO) and can boot Parabola.

bill-auger | don’t get the difference between BIOS and EFI in Libreboot. How can | choose the mode? How can | know which mode | am booting from?
To answer parts of your questions, the systemd ISOs | tried were both on USB and DVD, so the issue is medium-independant in my case.

#26 - 2021-07-06 11:49 AM - telur

i you have any problem booting with libreboot, i recommend using seabios payload, less glitch and less compability issue from what i used so far
compared to grub.
